%% konsteingang.m
%% Kap. 2.3.1.2
%% Beschreibung:	Initialisierungsdatei und Ausgabedatei
clear all
close all
clc
A=1;
schrittweite=10;
dauer=10000;
t=0:schrittweite:dauer-schrittweite;
omega=0.005;
phi=0;
offset=0;
esignal1=A*sin(omega*t+phi)+offset;
Schwingungen=ceil((dauer*omega)/(2*pi));
Werte_pro_Schwingung=round((2*pi)/(schrittweite*omega));
esignal2=[];
for i=1:Schwingungen
zufall(i)=rand(1)*2;
esignal2=[esignal2 repmat(zufall(i),1,Werte_pro_Schwingung)];
end
esignal2=esignal2(1:length(esignal1));
esignal3=esignal1.*esignal2;
esignal3=esignal3+10;
t=t';
esignal3=esignal3';
eingang_ein.time=[t];
eingang_ein.signals.values=[esignal3];
ausgang_ein=45.0;
d=0.0365;
r=0.01825;
for i=1:8
Kq=ausgang_ein/(zufall(i)+10);
end
Lt=3.5;
dt=1.0;
rt=dt/2;
La=0.811;
ha=0.811;
da=0.470;
ra=da/2;
hmax=0.8539;
ht=0.8539;
Vt=rt^2*Lt*(acos((rt-ht)/rt)-(rt-ht)*(sqrt(2*rt*ht-ht^2)/rt^2));
A=Vt/ht;
Va=pi*ra^2*ha;
a=2*(Va/ha);
g=9.81;
stoergroesse=ausgang_ein/8;
P_Anteil=17.9198;
I_Anteil=2.5446;
D_Anteil=17.9198;
sim('modellregler.mdl',10000);
hold off
esignal=plot(zeit,eingang_aus,'g');
set(esignal,'LineStyle','-');
set(esignal,'LineWidth',2.25);
grid on
grid MINOR
title('Eingangssignal des Gasverdichters (8.0 .. 12.0 [bar])','FontSize',14,'FontWeight','Bold');
xlabel('Zeit in [sec] \rightarrow');
ylabel('Druck in [bar] \rightarrow');
legend('Eingangssignal des Gasverdichters\newline(var. Eingangsgre)\newline(7 Tage = 10.000 [sec])','location','SouthEast');
xlim([0,10000]);
ylim([0,60]);
figure();
hold off
var_eingang=plot(zeit,ausgang_aus,'b');
set(var_eingang,'LineStyle','-');
set(var_eingang,'LineWidth',2.25);
grid on
grid MINOR
title('Druckerhhung des Gasverdichter (45.0 [bar])\newline(mit Regler)','FontSize',14,'FontWeight','Bold');
xlabel('Zeit in [sec] \rightarrow');
ylabel('Druck in [bar] \rightarrow');
legend('Ablussdruck zur Gasturbine\newline(var. Eingangsgre)\newline(7 Tage = 10.000 [sec])','location','SouthEast');
xlim([0,10000]);
ylim([0,60]);